---
title: Restart Validation or Update Advanced Certificate Manager Certificate Pack
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[SSL](https://developers.cloudflare.com/api/go/resources/ssl)

[Certificate Packs](https://developers.cloudflare.com/api/go/resources/ssl/subresources/certificate_packs)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Restart Validation or Update Advanced Certificate Manager Certificate Pack

client.SSL.CertificatePacks.Edit(ctx, certificatePackID, params) (\*[CertificatePackEditResponse](<https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)>), error)

PATCH/zones/{zone\_id}/ssl/certificate\_packs/{certificate\_pack\_id}

For a given zone, restart validation or add cloudflare branding for an advanced certificate pack. The former is only a validation operation for a Certificate Pack in a validation\_timed\_out status.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`SSL and Certificates Write`

##### ParametersExpand Collapse

certificatePackID string

The unique identifier for a certificate\_pack.

[Link to this property](<#(resource)%20ssl.certificate_packs%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20certificate_pack_id%20%3E%20(schema)>)

<details>

<summary>

params CertificatePackEditParams

</summary>

ZoneID param.Field\[string]

Path param: Identifier.

maxLength32

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

CloudflareBranding param.Field\[bool]Optional

Body param: Whether or not to add Cloudflare Branding for the order. This will add a subdomain of sni.cloudflaressl.com as the Common Name if set to true.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(method)%20edit%20%3E%20(params)%20default%20%3E%20(param)%20cloudflare_branding">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ssl.certificate_packs%20%3E%20(method)%20edit%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type CertificatePackEditResponse struct{…}

A certificate pack with all its properties.

</summary>

ID string

The unique identifier for a certificate\_pack.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

Certificates \[]CertificatePackEditResponseCertificate

Array of certificates in this pack.

</summary>

ID string

Certificate identifier.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

Hosts \[]string

Hostnames covered by this certificate.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20hosts">Link to this property</a>

Status string

Certificate status.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20status">Link to this property</a>

BundleMethod stringOptional

Certificate bundle method.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20bundle_method">Link to this property</a>

ExpiresOn TimeOptional

When the certificate from the authority expires.

formatdate-time

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20expires_on">Link to this property</a>

<details>

<summary>

GeoRestrictions CertificatePackEditResponseCertificatesGeoRestrictionsOptional

Specify the region where your private key can be held locally.

</summary>

<details>

<summary>

Label CertificatePackEditResponseCertificatesGeoRestrictionsLabelOptional

</summary>

One of the following:

const CertificatePackEditResponseCertificatesGeoRestrictionsLabelUs CertificatePackEditResponseCertificatesGeoRestrictionsLabel = "us"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20geo_restrictions%20%3E%20(property)%20label%20%3E%20(member)%200">Link to this property</a>

const CertificatePackEditResponseCertificatesGeoRestrictionsLabelEu CertificatePackEditResponseCertificatesGeoRestrictionsLabel = "eu"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20geo_restrictions%20%3E%20(property)%20label%20%3E%20(member)%201">Link to this property</a>

const CertificatePackEditResponseCertificatesGeoRestrictionsLabelHighestSecurity CertificatePackEditResponseCertificatesGeoRestrictionsLabel = "highest\_security"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20geo_restrictions%20%3E%20(property)%20label%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20geo_restrictions%20%3E%20(property)%20label">Link to this property</a>

</details>

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20geo_restrictions">Link to this property</a>

Issuer stringOptional

The certificate authority that issued the certificate.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20issuer">Link to this property</a>

ModifiedOn TimeOptional

When the certificate was last modified.

formatdate-time

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20modified_on">Link to this property</a>

Priority float64Optional

The order/priority in which the certificate will be used.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20priority">Link to this property</a>

Signature stringOptional

The type of hash used for the certificate.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20signature">Link to this property</a>

UploadedOn TimeOptional

When the certificate was uploaded to Cloudflare.

formatdate-time

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20uploaded_on">Link to this property</a>

ZoneID stringOptional

Identifier.

maxLength32

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates%20%3E%20(items)%20%3E%20(property)%20zone_id">Link to this property</a>

</details>

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificates">Link to this property</a>

Hosts \[]<a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20host%20%3E%20(schema)">Host</a>

Comma separated list of valid host names for the certificate packs. Must contain the zone apex, may not contain more than 50 hosts, and may not be empty.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20hosts">Link to this property</a>

<details>

<summary>

Status <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a>

Status of certificate pack.

</summary>

One of the following:

const StatusInitializing <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "initializing"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%200">Link to this property</a>

const StatusPendingValidation <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "pending\_validation"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%201">Link to this property</a>

const StatusDeleted <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "deleted"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%202">Link to this property</a>

const StatusPendingIssuance <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "pending\_issuance"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%203">Link to this property</a>

const StatusPendingDeployment <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "pending\_deployment"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%204">Link to this property</a>

const StatusPendingDeletion <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "pending\_deletion"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%205">Link to this property</a>

const StatusPendingExpiration <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "pending\_expiration"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%206">Link to this property</a>

const StatusExpired <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "expired"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%207">Link to this property</a>

const StatusActive <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "active"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%208">Link to this property</a>

const StatusInitializingTimedOut <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "initializing\_timed\_out"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%209">Link to this property</a>

const StatusValidationTimedOut <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "validation\_timed\_out"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%2010">Link to this property</a>

const StatusIssuanceTimedOut <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "issuance\_timed\_out"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%2011">Link to this property</a>

const StatusDeploymentTimedOut <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "deployment\_timed\_out"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%2012">Link to this property</a>

const StatusDeletionTimedOut <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "deletion\_timed\_out"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%2013">Link to this property</a>

const StatusPendingCleanup <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "pending\_cleanup"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%2014">Link to this property</a>

const StatusStagingDeployment <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "staging\_deployment"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%2015">Link to this property</a>

const StatusStagingActive <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "staging\_active"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%2016">Link to this property</a>

const StatusDeactivating <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "deactivating"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%2017">Link to this property</a>

const StatusInactive <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "inactive"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%2018">Link to this property</a>

const StatusBackupIssued <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "backup\_issued"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%2019">Link to this property</a>

const StatusHoldingDeployment <a href="https://developers.cloudflare.com/api/go/resources/ssl#(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)">Status</a> = "holding\_deployment"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%2B%20(resource)%20ssl.certificate_packs%20%3E%20(model)%20status%20%3E%20(schema)%20%3E%20(member)%2020">Link to this property</a>

</details>

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

<details>

<summary>

Type CertificatePackEditResponseType

Type of certificate pack.

</summary>

One of the following:

const CertificatePackEditResponseTypeMhCustom CertificatePackEditResponseType = "mh\_custom"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%200">Link to this property</a>

const CertificatePackEditResponseTypeManagedHostname CertificatePackEditResponseType = "managed\_hostname"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%201">Link to this property</a>

const CertificatePackEditResponseTypeSNICustom CertificatePackEditResponseType = "sni\_custom"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%202">Link to this property</a>

const CertificatePackEditResponseTypeUniversal CertificatePackEditResponseType = "universal"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%203">Link to this property</a>

const CertificatePackEditResponseTypeAdvanced CertificatePackEditResponseType = "advanced"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%204">Link to this property</a>

const CertificatePackEditResponseTypeTotalTLS CertificatePackEditResponseType = "total\_tls"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%205">Link to this property</a>

const CertificatePackEditResponseTypeKeyless CertificatePackEditResponseType = "keyless"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%206">Link to this property</a>

const CertificatePackEditResponseTypeLegacyCustom CertificatePackEditResponseType = "legacy\_custom"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20type%20%3E%20(member)%207">Link to this property</a>

</details>

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20type">Link to this property</a>

<details>

<summary>

CertificateAuthority CertificatePackEditResponseCertificateAuthorityOptional

Certificate Authority selected for the order. For information on any certificate authority specific details or restrictions <a href="https://developers.cloudflare.com/ssl/reference/certificate-authorities">see this page for more details</a>.

</summary>

One of the following:

const CertificatePackEditResponseCertificateAuthorityGoogle CertificatePackEditResponseCertificateAuthority = "google"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificate_authority%20%3E%20(member)%200">Link to this property</a>

const CertificatePackEditResponseCertificateAuthorityLetsEncrypt CertificatePackEditResponseCertificateAuthority = "lets\_encrypt"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificate_authority%20%3E%20(member)%201">Link to this property</a>

const CertificatePackEditResponseCertificateAuthoritySSLCom CertificatePackEditResponseCertificateAuthority = "ssl\_com"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificate_authority%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20certificate_authority">Link to this property</a>

CloudflareBranding boolOptional

Whether or not to add Cloudflare Branding for the order. This will add a subdomain of sni.cloudflaressl.com as the Common Name if set to true.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20cloudflare_branding">Link to this property</a>

<details>

<summary>

DCVDelegationRecords \[]CertificatePackEditResponseDCVDelegationRecordOptional

DCV Delegation records for domain validation.

</summary>

CNAME stringOptional

The CNAME record hostname for DCV delegation.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20dcv_delegation_records%20%3E%20(items)%20%3E%20(property)%20cname">Link to this property</a>

CNAMETarget stringOptional

The CNAME record target value for DCV delegation.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20dcv_delegation_records%20%3E%20(items)%20%3E%20(property)%20cname_target">Link to this property</a>

Emails \[]stringOptional

The set of email addresses that the certificate authority (CA) will use to complete domain validation.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20dcv_delegation_records%20%3E%20(items)%20%3E%20(property)%20emails">Link to this property</a>

HTTPBody stringOptional

The content that the certificate authority (CA) will expect to find at the http\_url during the domain validation.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20dcv_delegation_records%20%3E%20(items)%20%3E%20(property)%20http_body">Link to this property</a>

HTTPURL stringOptional

The url that will be checked during domain validation.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20dcv_delegation_records%20%3E%20(items)%20%3E%20(property)%20http_url">Link to this property</a>

Status stringOptional

Status of the validation record.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20dcv_delegation_records%20%3E%20(items)%20%3E%20(property)%20status">Link to this property</a>

TXTName stringOptional

The hostname that the certificate authority (CA) will check for a TXT record during domain validation .

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20dcv_delegation_records%20%3E%20(items)%20%3E%20(property)%20txt_name">Link to this property</a>

TXTValue stringOptional

The TXT record that the certificate authority (CA) will check during domain validation.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20dcv_delegation_records%20%3E%20(items)%20%3E%20(property)%20txt_value">Link to this property</a>

</details>

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20dcv_delegation_records">Link to this property</a>

PrimaryCertificate stringOptional

Identifier of the primary certificate in a pack.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20primary_certificate">Link to this property</a>

<details>

<summary>

ValidationErrors \[]CertificatePackEditResponseValidationErrorOptional

Domain validation errors that have been received by the certificate authority (CA).

</summary>

Message stringOptional

A domain validation error.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_errors%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

</details>

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_errors">Link to this property</a>

<details>

<summary>

ValidationMethod CertificatePackEditResponseValidationMethodOptional

Validation Method selected for the order.

</summary>

One of the following:

const CertificatePackEditResponseValidationMethodTXT CertificatePackEditResponseValidationMethod = "txt"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_method%20%3E%20(member)%200">Link to this property</a>

const CertificatePackEditResponseValidationMethodHTTP CertificatePackEditResponseValidationMethod = "http"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_method%20%3E%20(member)%201">Link to this property</a>

const CertificatePackEditResponseValidationMethodEmail CertificatePackEditResponseValidationMethod = "email"

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_method%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_method">Link to this property</a>

<details>

<summary>

ValidationRecords \[]CertificatePackEditResponseValidationRecordOptional

Certificates’ validation records.

</summary>

CNAME stringOptional

The CNAME record hostname for DCV delegation.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_records%20%3E%20(items)%20%3E%20(property)%20cname">Link to this property</a>

CNAMETarget stringOptional

The CNAME record target value for DCV delegation.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_records%20%3E%20(items)%20%3E%20(property)%20cname_target">Link to this property</a>

Emails \[]stringOptional

The set of email addresses that the certificate authority (CA) will use to complete domain validation.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_records%20%3E%20(items)%20%3E%20(property)%20emails">Link to this property</a>

HTTPBody stringOptional

The content that the certificate authority (CA) will expect to find at the http\_url during the domain validation.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_records%20%3E%20(items)%20%3E%20(property)%20http_body">Link to this property</a>

HTTPURL stringOptional

The url that will be checked during domain validation.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_records%20%3E%20(items)%20%3E%20(property)%20http_url">Link to this property</a>

Status stringOptional

Status of the validation record.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_records%20%3E%20(items)%20%3E%20(property)%20status">Link to this property</a>

TXTName stringOptional

The hostname that the certificate authority (CA) will check for a TXT record during domain validation .

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_records%20%3E%20(items)%20%3E%20(property)%20txt_name">Link to this property</a>

TXTValue stringOptional

The TXT record that the certificate authority (CA) will check during domain validation.

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_records%20%3E%20(items)%20%3E%20(property)%20txt_value">Link to this property</a>

</details>

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validation_records">Link to this property</a>

<details>

<summary>

ValidityDays CertificatePackEditResponseValidityDaysOptional

Validity Days selected for the order.

</summary>

One of the following:

const CertificatePackEditResponseValidityDays14 CertificatePackEditResponseValidityDays = 14

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validity_days%20%3E%20(member)%200">Link to this property</a>

const CertificatePackEditResponseValidityDays30 CertificatePackEditResponseValidityDays = 30

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validity_days%20%3E%20(member)%201">Link to this property</a>

const CertificatePackEditResponseValidityDays90 CertificatePackEditResponseValidityDays = 90

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validity_days%20%3E%20(member)%202">Link to this property</a>

const CertificatePackEditResponseValidityDays365 CertificatePackEditResponseValidityDays = 365

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validity_days%20%3E%20(member)%203">Link to this property</a>

</details>

<a href="#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)%20%3E%20(property)%20validity_days">Link to this property</a>

</details>

[Link to this property](<#(resource)%20ssl.certificate_packs%20%3E%20(model)%20CertificatePackEditResponse%20%3E%20(schema)>)

### Restart Validation or Update Advanced Certificate Manager Certificate Pack

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/ssl"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.SSL.CertificatePacks.Edit(
    context.TODO(),
    "3822ff90-ea29-44df-9e55-21300bb9419b",
    ssl.CertificatePackEditParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "3822ff90-ea29-44df-9e55-21300bb9419b",
    "certificates": [
      {
        "id": "7e7b8deba8538af625850b7b2530034c",
        "hosts": [
          "example.com",
          "*.example.com"
        ],
        "status": "active",
        "bundle_method": "ubiquitous",
        "expires_on": "2024-01-01T00:00:00Z",
        "geo_restrictions": {
          "label": "us"
        },
        "issuer": "Let's Encrypt",
        "modified_on": "2014-01-01T05:20:00Z",
        "priority": 0,
        "signature": "ECDSAWithSHA256",
        "uploaded_on": "2014-01-01T05:20:00Z",
        "zone_id": "023e105f4ecef8ad9ca31a8372d0c353"
      }
    ],
    "hosts": [
      "example.com",
      "*.example.com",
      "www.example.com"
    ],
    "status": "initializing",
    "type": "universal",
    "certificate_authority": "lets_encrypt",
    "cloudflare_branding": false,
    "dcv_delegation_records": [
      {
        "cname": "_acme-challenge.example.com",
        "cname_target": "dcv.cloudflare.com",
        "emails": [
          "administrator@example.com",
          "webmaster@example.com"
        ],
        "http_body": "ca3-574923932a82475cb8592200f1a2a23d",
        "http_url": "http://app.example.com/.well-known/pki-validation/ca3-da12a1c25e7b48cf80408c6c1763b8a2.txt",
        "status": "pending",
        "txt_name": "_acme-challenge.app.example.com",
        "txt_value": "810b7d5f01154524b961ba0cd578acc2"
      }
    ],
    "primary_certificate": "7e7b8deba8538af625850b7b2530034c",
    "validation_errors": [
      {
        "message": "SERVFAIL looking up CAA for app.example.com"
      }
    ],
    "validation_method": "txt",
    "validation_records": [
      {
        "cname": "_acme-challenge.example.com",
        "cname_target": "dcv.cloudflare.com",
        "emails": [
          "administrator@example.com",
          "webmaster@example.com"
        ],
        "http_body": "ca3-574923932a82475cb8592200f1a2a23d",
        "http_url": "http://app.example.com/.well-known/pki-validation/ca3-da12a1c25e7b48cf80408c6c1763b8a2.txt",
        "status": "pending",
        "txt_name": "_acme-challenge.app.example.com",
        "txt_value": "810b7d5f01154524b961ba0cd578acc2"
      }
    ],
    "validity_days": 14
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "3822ff90-ea29-44df-9e55-21300bb9419b",
    "certificates": [
      {
        "id": "7e7b8deba8538af625850b7b2530034c",
        "hosts": [
          "example.com",
          "*.example.com"
        ],
        "status": "active",
        "bundle_method": "ubiquitous",
        "expires_on": "2024-01-01T00:00:00Z",
        "geo_restrictions": {
          "label": "us"
        },
        "issuer": "Let's Encrypt",
        "modified_on": "2014-01-01T05:20:00Z",
        "priority": 0,
        "signature": "ECDSAWithSHA256",
        "uploaded_on": "2014-01-01T05:20:00Z",
        "zone_id": "023e105f4ecef8ad9ca31a8372d0c353"
      }
    ],
    "hosts": [
      "example.com",
      "*.example.com",
      "www.example.com"
    ],
    "status": "initializing",
    "type": "universal",
    "certificate_authority": "lets_encrypt",
    "cloudflare_branding": false,
    "dcv_delegation_records": [
      {
        "cname": "_acme-challenge.example.com",
        "cname_target": "dcv.cloudflare.com",
        "emails": [
          "administrator@example.com",
          "webmaster@example.com"
        ],
        "http_body": "ca3-574923932a82475cb8592200f1a2a23d",
        "http_url": "http://app.example.com/.well-known/pki-validation/ca3-da12a1c25e7b48cf80408c6c1763b8a2.txt",
        "status": "pending",
        "txt_name": "_acme-challenge.app.example.com",
        "txt_value": "810b7d5f01154524b961ba0cd578acc2"
      }
    ],
    "primary_certificate": "7e7b8deba8538af625850b7b2530034c",
    "validation_errors": [
      {
        "message": "SERVFAIL looking up CAA for app.example.com"
      }
    ],
    "validation_method": "txt",
    "validation_records": [
      {
        "cname": "_acme-challenge.example.com",
        "cname_target": "dcv.cloudflare.com",
        "emails": [
          "administrator@example.com",
          "webmaster@example.com"
        ],
        "http_body": "ca3-574923932a82475cb8592200f1a2a23d",
        "http_url": "http://app.example.com/.well-known/pki-validation/ca3-da12a1c25e7b48cf80408c6c1763b8a2.txt",
        "status": "pending",
        "txt_name": "_acme-challenge.app.example.com",
        "txt_value": "810b7d5f01154524b961ba0cd578acc2"
      }
    ],
    "validity_days": 14
  }
}
```